Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMike Keith2013-06-17 21:31:18 -0400
committerMike Keith2013-06-17 21:31:18 -0400
commit40599ae1eb91dd7fb950c48100c0985876a525ca (patch)
treebe78a027dd33509df02ddb9a3f75e8ca4958fcb4
parent3757dc9670556c94e9487e4972b79d481ec84f28 (diff)
downloadorg.eclipse.gemini.jpa-40599ae1eb91dd7fb950c48100c0985876a525ca.tar.gz
org.eclipse.gemini.jpa-40599ae1eb91dd7fb950c48100c0985876a525ca.tar.xz
org.eclipse.gemini.jpa-40599ae1eb91dd7fb950c48100c0985876a525ca.zip
Fix for bug #410967
-rw-r--r--org.eclipse.gemini.jpa/src/org/eclipse/gemini/jpa/ProviderWrapper.java4
1 files changed, 2 insertions, 2 deletions
diff --git a/org.eclipse.gemini.jpa/src/org/eclipse/gemini/jpa/ProviderWrapper.java b/org.eclipse.gemini.jpa/src/org/eclipse/gemini/jpa/ProviderWrapper.java
index 1720bff..f8554be 100644
--- a/org.eclipse.gemini.jpa/src/org/eclipse/gemini/jpa/ProviderWrapper.java
+++ b/org.eclipse.gemini.jpa/src/org/eclipse/gemini/jpa/ProviderWrapper.java
@@ -135,7 +135,7 @@ public class ProviderWrapper implements PersistenceProvider {
return nativeProvider.getProviderUtil();
}
- @Override
+ // @Override - Leave off annotation so can compile against pre-JPA 2.1
public boolean generateSchema(String unitName, Map properties) {
debug("ProviderWrapper generateSchema invoked for p-unit: ", unitName, " props: ", properties);
warning("The generateSchema() method is not currently supported by OSGi JPA");
@@ -152,7 +152,7 @@ public class ProviderWrapper implements PersistenceProvider {
return null;
}
- @Override
+ // @Override - Leave off annotation so can compile against pre-JPA 2.1
public void generateSchema(PersistenceUnitInfo info, Map properties) {
fatalError("Container SPI not supported by OSGi JPA", null);
}

Back to the top